% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/elasticizer.R
\name{elasticizer}
\alias{elasticizer}
\title{Generate a data frame out of unparsed Elasticsearch JSON}
\usage{
elasticizer(query, src = T, index = "maml",
  es_pwd = .rs.askForPassword("Elasticsearch READ"), update = NULL,
  ...)
}
\arguments{
\item{query}{A JSON-formatted query in the Elasticsearch query DSL}

\item{src}{Logical (true/false) indicating whether or not the source of each document should be retrieved}

\item{index}{The name of the Elasticsearch index to search through}

\item{update}{When set, indicates an update function to use on each batch of 1000 articles}

\item{...}{Parameters passed on to the update function}
}
\value{
A data frame containing all the search results
}
\description{
Generate a data frame out of unparsed Elasticsearch JSON
}
\examples{
elasticizer(query, src = TRUE, index = "maml")
}
